%define qemu_name	qemu
%define qemu_version	2.4.1
%define qemu_rel	5
#define subrel		1
#define qemu_snapshot	rc2
#define qemu_snapshot_prefix 0

%define qemu_release	%mkrel %{?qemu_snapshot:%{qemu_snapshot_prefix}.%{qemu_snapshot}.}%{qemu_rel}
%define qemu_pkgver     %{qemu_name}-%{qemu_version}%{?qemu_snapshot:-%{qemu_snapshot}}

Summary:	QEMU CPU Emulator
Name:		qemu
Version:	%{qemu_version}
Release:	%{qemu_release}
Source0:	http://wiki.qemu-project.org/download/%{qemu_name}-%{version}%{?qemu_snapshot:-%{qemu_snapshot}}.tar.bz2
Source1:	kvm.modules
# KSM control scripts
Source4:	ksm.service
Source5:	ksm.sysconfig
Source6:	ksmtuned.service
Source7:	ksmtuned
Source8:	ksmtuned.conf
Source9:	ksmctl.c

License:	GPLv2+
URL:		http://wiki.qemu.org/Main_Page
Group:		Emulators
Provides:	kvm
Requires:	qemu-img = %{version}-%{release}
# for %%{_sysconfdir}/sasl2
Requires:	cyrus-sasl
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	libSDL-devel
BuildRequires:	texi2html
BuildRequires:	e2fsprogs-devel
BuildRequires:	kernel-headers	
BuildRequires:	pulseaudio-devel
BuildRequires:	zlib-devel
BuildRequires:	brlapi-devel
BuildRequires:	gnutls-devel
BuildRequires:	libsasl-devel
BuildRequires:	pciutils-devel
BuildRequires:	texinfo
BuildRequires:	vde-devel
BuildRequires:	bluez-devel
BuildRequires:	curl-devel
BuildRequires:	pkgconfig(libusbredirparser-0.5) >= 0.6
BuildRequires:	libuuid-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	libaio-devel
BuildRequires:	cap-ng-devel
# for virtfs
BuildRequires:	cap-devel
BuildRequires:	attr-devel
# for direct xfs access with raw device
BuildRequires:  libxfs-devel
BuildRequires:  pkgconfig(libcacard)
# USB features
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  usbredir-devel

%ifarch %{ix86} x86_64
BuildRequires: spice-protocol >= 0.8.1
BuildRequires: spice-server-devel >= 0.9.0
BuildRequires: xen-devel >= 4.1.2
%endif

BuildRequires:	dev86
BuildRequires:	iasl
# Added in qemu 2.3
BuildRequires: bzip2-devel
# Added in qemu 2.4 for opengl bits
BuildRequires: pkgconfig(epoxy)
ExclusiveArch:	%{ix86} ppc x86_64 amd64 %{sunsparc}

#http://lists.gnu.org/archive/html/qemu-devel/2014-01/msg01035.html
Patch0: qemu-2.0.0-mga-compile-fix.patch

# Fedora patches
# Fix SSE4 emulation with accel=tcg (bz #1270703)
Patch0001: 0001-target-i386-fix-pcmpxstrx-equal-ordered-strstr-mode.patch
# CVE-2015-8345: Fix infinite loop in eepro100 (bz #1285214)
Patch0002: 0002-eepro100-Prevent-two-endless-loops.patch
# CVE-2015-7504: Fix heap overflow in pcnet (bz #1286543)
Patch0003: 0003-net-pcnet-add-check-to-validate-receive-data-size-CV.patch
# CVE-2015-7512: Fix buffer overflow in pcnet (bz #1286549)
Patch0004: 0004-pcnet-fix-rx-buffer-overflow-CVE-2015-7512.patch
# vnc: avoid floating point exceptions (bz #1289541, bz #1289542)
Patch0005: 0005-ui-vnc-avoid-floating-point-exception.patch
# CVE-2015-7549: pci: null pointer dereference issue (bz #1291138)
Patch0006: 0006-msix-implement-pba-write-but-read-only.patch
# CVE-2015-8558: DoS by infinite loop in ehci_advance_state (bz #1291309)
Patch0007: 0007-ehci-make-idt-processing-more-robust.patch
# CVE-2015-8666: Heap-based buffer overrun during VM migration (bz #1294027)
Patch0008: 0008-acpi-fix-buffer-overrun-on-migration.patch
# CVE-2015-8744: vmxnet3: fix crash with short packets (bz #1295440)
Patch0009: 0009-net-vmxnet3-Refine-l2-header-validation.patch
# CVE-2015-8745: vmxnet3: don't assert reading registers in bar0 (bz
# #1295442)
Patch0010: 0010-vmxnet3-Support-reading-IMR-registers-on-bar0.patch
# CVE-2015-8567: net: vmxnet3: host memory leakage (bz #1289818)
Patch0011: 0011-net-vmxnet3-avoid-memory-leakage-in-activate_device.patch
# CVE-2016-1922: i386: avoid null pointer dereference (bz #1292766)
Patch0012: 0012-i386-avoid-null-pointer-dereference.patch
# CVE-2015-8613: buffer overflow in megasas_ctrl_get_info (bz #1284008)
Patch0013: 0013-scsi-initialise-info-object-with-appropriate-size.patch
# CVE-2015-8701: Buffer overflow in tx_consume in rocker.c (bz #1293720)
Patch0014: 0014-net-rocker-fix-an-incorrect-array-bounds-check.patch
# CVE-2015-8743: ne2000: OOB memory access in ioport r/w functions (bz
# #1294787)
Patch0015: 0015-net-ne2000-fix-bounds-check-in-ioport-operations.patch
# CVE-2016-1568: Use-after-free vulnerability in ahci (bz #1297023)
Patch0016: 0016-ide-ahci-reset-ncq-object-to-unused-on-error.patch
# CVE-2015-8619: Fix sendkey out of bounds (bz #1292757)
Patch0017: 0017-hmp-fix-sendkey-out-of-bounds-write-CVE-2015-8619.patch
# CVE-2016-1981: infinite loop in e1000 (bz #1299995)
Patch0018: 0018-e1000-eliminate-infinite-loops-on-out-of-bounds-tran.patch
# Fix Out-of-bounds read in usb-ehci (bz #1300234, bz #1299455)
Patch0019: 0019-usb-check-page-select-value-while-processing-iTD.patch
# CVE-2016-2197: ahci: null pointer dereference (bz #1302952)
Patch0020: 0020-ahci-Do-not-unmap-NULL-addresses.patch
# Fix gdbstub for VSX registers for ppc64 (bz #1304377)
Patch0021: 0021-target-ppc-rename-and-export-maybe_bswap_register.patch
Patch0022: 0022-target-ppc-gdbstub-fix-float-registers-for-little-en.patch
Patch0023: 0023-target-ppc-gdbstub-introduce-avr_need_swap.patch
Patch0024: 0024-target-ppc-gdbstub-fix-altivec-registers-for-little-.patch
Patch0025: 0025-target-ppc-gdbstub-fix-spe-registers-for-little-endi.patch
Patch0026: 0026-target-ppc-gdbstub-Add-VSX-support.patch
Patch0027: 0027-target-ppc-kvm-fix-floating-point-registers-sync-on-.patch

# Fix qemu-img vmdk images to work with VMware (bz #1299185)
Patch0101: 0101-vmdk-Create-streamOptimized-as-version-3.patch
Patch0102: 0102-vmdk-Fix-converting-to-streamOptimized.patch
# CVE-2016-2538: Integer overflow in usb module (bz #1305815)
Patch0103: 0103-usb-check-RNDIS-message-length.patch
Patch0104: 0104-usb-check-RNDIS-buffer-offsets-length.patch
# CVE-2016-2841: ne2000: infinite loop (bz #1304047)
Patch0105: 0105-net-ne2000-check-ring-buffer-control-registers.patch
# CVE-2016-2857: net: out of bounds read (bz #1309564)
Patch0106: 0106-net-check-packet-payload-length.patch
# CVE-2016-2392: usb: null pointer dereference (bz #1307115)
Patch0107: 0107-usb-check-USB-configuration-descriptor-object.patch
# CVE-2016-3710: incorrect bounds checking in vga (bz #1334345)
Patch0108: 0108-vga-fix-banked-access-bounds-checking-CVE-2016-3710.patch
Patch0109: 0109-vga-add-vbe_enabled-helper.patch
Patch0110: 0110-vga-factor-out-vga-register-setup.patch
Patch0111: 0111-vga-update-vga-register-setup-on-vbe-changes.patch
# CVE-2016-3712: out of bounds read in vga (bz #1334342)
Patch0112: 0112-vga-make-sure-vga-register-setup-for-vbe-stays-intac.patch
# Fix USB redirection (bz #1330221)
Patch0113: 0113-ehci-clear-suspend-bit-on-detach.patch
# CVE-2016-4037: infinite loop in usb ehci (bz #1328080)
Patch0114: 0114-ehci-apply-limit-to-iTD-sidt-descriptors.patch
Patch0115: 0115-Revert-ehci-make-idt-processing-more-robust.patch
# CVE-2016-4001: buffer overflow in stellaris net (bz #1325885)
Patch0116: 0116-net-stellaris_enet-check-packet-length-against-recei.patch
# CVE-2016-2858: rng stack corruption (bz #1314677)
Patch0117: 0117-rng-remove-the-unused-request-cancellation-code.patch
Patch0118: 0118-rng-move-request-queue-from-RngEgd-to-RngBackend.patch
Patch0119: 0119-rng-move-request-queue-cleanup-from-RngEgd-to-RngBac.patch
Patch0120: 0120-rng-add-request-queue-support-to-rng-random.patch
# CVE-2016-2391: ohci: crash via multiple timers (bz #1308881)
Patch0121: 0121-ohci-allocate-timer-only-once.patch
# CVE-2016-2198: ehci: null pointer dereference (bz #1303134)
Patch0122: 0122-usb-ehci-add-capability-mmio-write-function.patch
# Fix tpm passthrough (bz #1281413)
Patch0123: 0123-pc-acpi-tpm-add-missing-MMIO-resource-to-PCI0._CRS.patch
Patch0124: 0124-tpm-acpi-remove-IRQ-from-TPM-s-CRS-to-make-Windows-n.patch
# Fix ./configure with ccache
Patch0125: 0125-configure-disallow-ccache-during-compile-tests.patch

# Mageia patches
# CVE-2016-4002: net: mipsnet: check packet length against buffer
Patch1001: CVE-2016-4002.patch
# CVE-2016-4002: i386: kvmvapic: initialise imm32 variable
Patch1002: CVE-2016-4020.patch

%description
QEMU is a FAST! processor emulator. By using dynamic translation it
achieves a reasonnable speed while being easy to port on new host
CPUs. QEMU has two operating modes:

* User mode emulation. In this mode, QEMU can launch Linux processes
  compiled for one CPU on another CPU. Linux system calls are
  converted because of endianness and 32/64 bit mismatches. Wine
  (Windows emulation) and DOSEMU (DOS emulation) are the main targets
  for QEMU.

* Full system emulation. In this mode, QEMU emulates a full system,
  including a processor and various peripherials. Currently, it is
  only used to launch an x86 Linux kernel on an x86 Linux system. It
  enables easier testing and debugging of system code. It can also be
  used to provide virtual hosting of several virtual PC on a single
  server.

%package img
Summary:	QEMU disk image utility
Group:		Emulators
Version:	%{qemu_version}
Release:	%{qemu_release}

%description img
This package contains the QEMU disk image utility that is used to
create, commit, convert and get information from a disk image.

%prep
%setup -q -n %{qemu_pkgver}
%apply_patches

%build
extraldflags="-Wl,--build-id";
buildldflags="VL_LDFLAGS=-Wl,--build-id"

%ifarch %{ix86} x86_64
./configure \
	--target-list=x86_64-softmmu \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--audio-drv-list=pa,sdl,alsa,oss \
	--enable-spice \
	--enable-xen \
	--enable-xen-pci-passthrough \
        --enable-libusb \
        --enable-linux-aio \
        --enable-usb-redir \
	--disable-kvm \
	--extra-ldflags=$extraldflags \
	--extra-cflags="$CFLAGS"

%make V=1 $buildldflags
cp -a x86_64-softmmu/qemu-system-x86_64 qemu-xen
%make clean

# sdl outputs to alsa or pulseaudio depending on system config, but it's broken (RH bug #495964)
# alsa works, but causes huge CPU load due to bugs
# oss works, but is very problematic because it grabs exclusive control of the device causing other apps to go haywire
./configure \
	--target-list=x86_64-softmmu \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--audio-drv-list=pa,sdl,alsa,oss \
	--enable-spice \
	--enable-kvm \
        --enable-libusb \
        --enable-linux-aio \
        --enable-usb-redir \
	--disable-xen \
	--extra-ldflags=$extraldflags \
	--extra-cflags="$CFLAGS"

%make V=1 $buildldflags
cp -a x86_64-softmmu/qemu-system-x86_64 qemu-kvm
%make clean

%endif

./configure \
	--target-list="i386-softmmu x86_64-softmmu arm-softmmu cris-softmmu m68k-softmmu \
		mips-softmmu mipsel-softmmu mips64-softmmu mips64el-softmmu ppc-softmmu \
		ppcemb-softmmu ppc64-softmmu sh4-softmmu sh4eb-softmmu sparc-softmmu \
		i386-linux-user x86_64-linux-user alpha-linux-user arm-linux-user \
		armeb-linux-user cris-linux-user m68k-linux-user mips-linux-user \
		mipsel-linux-user ppc-linux-user ppc64-linux-user ppc64abi32-linux-user \
		sh4-linux-user sh4eb-linux-user sparc-linux-user sparc64-linux-user \
		sparc32plus-linux-user" \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--interp-prefix=%{_prefix}/qemu-%%M \
	--audio-drv-list=pa,sdl,alsa,oss \
        --enable-linux-aio \
        --enable-libusb \
        --enable-usb-redir \
	--disable-kvm \
	--disable-xen \
%ifarch %{ix86} x86_64
	--enable-spice \
%endif
	--extra-ldflags=$extraldflags \
	--extra-cflags="$CFLAGS"

%make V=1 $buildldflags

gcc %{SOURCE9} -O2 -g -o ksmctl

%install
install -D -p -m 0644 %{SOURCE4} %{buildroot}/%{_unitdir}/ksm.service
install -D -p -m 0644 %{SOURCE5} %{buildroot}/%{_sysconfdir}/sysconfig/ksm
install -D -p -m 0755 ksmctl %{buildroot}/lib/systemd/ksmctl

install -D -p -m 0644 %{SOURCE6} %{buildroot}/%{_unitdir}/ksmtuned.service
install -D -p -m 0755 %{SOURCE7} %{buildroot}/%{_sbindir}/ksmtuned
install -D -p -m 0644 %{SOURCE8} %{buildroot}/%{_sysconfdir}/ksmtuned.conf

%ifarch %{ix86} x86_64
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig/modules
mkdir -p %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_datadir}/%{name}

install -m 0755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/modules/kvm.modules
install -m 0755 qemu-kvm %{buildroot}/%{_bindir}/
install -m 0755 qemu-xen %{buildroot}/%{_bindir}/
%endif

%makeinstall_std BUILD_DOCS="yes"

install -D -p -m 0644 qemu.sasl %{buildroot}/%{_sysconfdir}/sasl2/qemu.conf

# remove unpackaged files
rm -rf %{buildroot}/%{_docdir}/qemu %{buildroot}%{_bindir}/vscclient
rm -f %{buildroot}/%{_libdir}/libcacard*
rm -f %{buildroot}/usr/lib/libcacard*
rm -f %{buildroot}/%{_libdir}/pkgconfig/libcacard.pc
rm -f %{buildroot}/usr/lib/pkgconfig/libcacard.pc
rm -rf %{buildroot}/%{_includedir}/cacard
%find_lang %{name}

%post 
%ifarch %{ix86} x86_64
# load kvm modules now, so we can make sure no reboot is needed.
# If there's already a kvm module installed, we don't mess with it
sh /%{_sysconfdir}/sysconfig/modules/kvm.modules
%endif
%_post_service ksmtuned
%_post_service ksm

%preun
%_preun_service ksm
%_preun_service ksmtuned



%files -f %{name}.lang
%doc README qemu-doc.html qemu-tech.html
%config(noreplace)%{_sysconfdir}/sasl2/qemu.conf
%{_unitdir}/ksm.service
/lib/systemd/ksmctl
%config(noreplace) %{_sysconfdir}/sysconfig/ksm
%{_unitdir}/ksmtuned.service
%{_sbindir}/ksmtuned
%config(noreplace) %{_sysconfdir}/ksmtuned.conf
%{_sysconfdir}/sysconfig/modules/kvm.modules
%{_bindir}/qemu-io
%{_bindir}/qemu-kvm
%{_bindir}/qemu-xen
%{_bindir}/qemu-alpha
%{_bindir}/qemu-arm*
%{_bindir}/qemu-cris
%{_bindir}/qemu-ga
%{_bindir}/qemu-i386
%{_bindir}/qemu-m68k
%{_bindir}/qemu-mips*
%{_bindir}/qemu-nbd
%{_bindir}/qemu-ppc*
%{_bindir}/qemu-sh4*
%{_bindir}/qemu-sparc*
%{_bindir}/qemu-x86_64
%{_bindir}/qemu-system-arm
%{_bindir}/qemu-system-cris
%{_bindir}/qemu-system-m68k
%{_bindir}/qemu-system-sh4*
%{_bindir}/qemu-system-ppc*
%{_bindir}/qemu-system-mips*
%{_bindir}/qemu-system-sparc
%{_bindir}/qemu-system-x86_64
%{_bindir}/qemu-system-i386
%{_bindir}/virtfs-proxy-helper
%{_mandir}/man1/qemu.1*
%{_mandir}/man8/qemu-nbd.8*
%{_mandir}/man1/virtfs-proxy-helper.*
%dir %{_datadir}/qemu
%{_datadir}/qemu/*.aml
%{_datadir}/qemu/*.bin
%{_datadir}/qemu/*.img
%{_datadir}/qemu/*.rom
%{_datadir}/qemu/u-boot.e500
%{_datadir}/qemu/keymaps
%{_datadir}/qemu/openbios-sparc32
%{_datadir}/qemu/openbios-sparc64
%{_datadir}/qemu/openbios-ppc
%{_datadir}/qemu/*.dtb
%{_datadir}/qemu/palcode-clipper
%{_datadir}/qemu/qemu-icon.bmp
%{_datadir}/qemu/trace-events
/usr/libexec/qemu-bridge-helper
%{_datadir}/qemu/*.svg

%files img
%{_bindir}/qemu-img
%{_mandir}/man1/qemu-img.1*




%changelog
* Thu May 12 2016 tv <tv> 2.4.1-5.mga5
+ Revision: 1014286
- replace patch 1000 by splitted CVE patches (mga#17534)
- more security fixes (mga#17534)
- add BRs for new features
- adjust file list
- rebasing from 2.3 to 2.4 for security fixes
- rebasing from 2.1 to 2.3

  + luigiwalser <luigiwalser>
    - add upstream patch to fix divide by zero in ATAPI emulation
    - add upstream patch to fix infinite loop in e1000
    - add missing portion of CVE-2015-3209 patch (from fedora)
    - add patches from fedora to fix CVE-2015-5165 and CVE-2015-5225
    - add patch from fedora to fix spice segfault (rhbz#1255899)
    - add upstream patch to fix CVE-2015-5745
    - resync with f21 (as of 20150611), including a fix for CVE-2015-4037

  + tmb <tmb>
    - net/ne2000: fix bounds check in ioport operations (CVE-2015-8743)
    - net/vmxnet3: Refine l2 header validation (CVE-2015-8744)
    - net/vmxnet3: Support reading IMR registers on bar0 (CVE-2015-8745)
    - ide: ahci: reset ncq object to unused on error (CVE-2016-1568)
    - fw_cfg: add check to validate current (CVE-2016-1714)
    - acpi: fix buffer overrun on migration (CVE pending)
    - net: pcnet: add check to validate receive data size (CVE-2015-7504)
    - net: pcnet: fix rx buffer overflow (CVE-2015-7512)
    - net: eepro100: Prevent two endless loops (CVE-2015-8345)
    - ui: vnc: avoid floating point exception (CVE-2015-8504)
    - pci: msix: implement pba write (but read-only) (CVE-2015-7549)
    - ehci: make idt processing more robust (CVE-2015-8558)
    - net: vmxnet3: memory leakage issue (CVE-2015-8567, CVE-2015-8568)
    - scsi: initialise info object with appropriate size (CVE-2015-8613)
    - hmp: avoid redundant null termination of buffer (CVE-2015-8619)
    - net: avoid infinite loop when receiving packets (CVE-2015-5278)
    - net: add checks to validate ring buffer pointers (CVE-2015-5279)
    - virtio: introduce virtqueue_unmap_sg()
    - virtio: introduce virtqueue_discard()
    - virtio-net: correctly drop truncated packets (CVE-2015-7295)

  + joequant <joequant>
    - add security patches for 3209 and 4106
    - add fixes for CVE-2015-3214 and CVE-2015-5154

* Wed May 13 2015 luigiwalser <luigiwalser> 2.1.3-2.mga5
+ Revision: 822016
- add patch from fedora to fix rhbz#1200043
- add patch from redhat to fix CVE-2015-3456

* Thu Apr 09 2015 luigiwalser <luigiwalser> 2.1.3-1.mga5
+ Revision: 819992
- resync with Fedora 21:
  - 2.1.3
  - add several upstream patches including ones to fix CVE-2015-1779

* Tue Feb 03 2015 akien <akien> 2.1.2-5.mga5
+ Revision: 813310
- Rebuild for new xen

* Wed Dec 10 2014 luigiwalser <luigiwalser> 2.1.2-4.mga5
+ Revision: 802606
- add upstream patches to fix CVE-2014-8106

* Thu Dec 04 2014 luigiwalser <luigiwalser> 2.1.2-3.mga5
+ Revision: 801473
- add newest patches from fedora, including fix for CVE-2014-7840

* Thu Nov 06 2014 luigiwalser <luigiwalser> 2.1.2-2.mga5
+ Revision: 795981
- add patches from fedora to fix CVE-2014-3689 and CVE-2014-7815 and other bugs

* Mon Sep 29 2014 bcornec <bcornec> 2.1.2-1.mga5
+ Revision: 731646
- Update sha file
- Update to upstream 2.1.2 qemu

* Fri Sep 12 2014 tv <tv> 2.1.1-1.mga5
+ Revision: 674791
- new release

* Sat Aug 02 2014 tv <tv> 2.1.0-1.mga5
+ Revision: 659181
- adjust file list
- new release

* Mon May 12 2014 joequant <joequant> 2.0.0-1.mga5
+ Revision: 622069
- release 2.0.0

* Sun Apr 13 2014 joequant <joequant> 2.0.0-0.3.rc2.2.mga5
+ Revision: 613736
- fix usb devel
- add build requires
- enable usb and linux-aio

* Thu Apr 10 2014 joequant <joequant> 2.0.0-0.3.rc2.1.mga5
+ Revision: 613178
- update to rc2 and workaround package numbering mistake

* Sun Mar 30 2014 tv <tv> 2.0.0-0.3.rc0.mga5
+ Revision: 610379
- rebuild for new xen

* Mon Mar 24 2014 oden <oden> 2.0.0-0.2.rc0.mga5
+ Revision: 607898
- rebuilt against usbredir-0.6

* Wed Mar 19 2014 joequant <joequant> 2.0.0-0.1.rc0.mga5
+ Revision: 605561
- upgrade to qemu 2.0

* Wed Feb 05 2014 luigiwalser <luigiwalser> 1.6.2-1.mga5
+ Revision: 583762
- 1.6.2
- add patches from fedora to fix CVE-2013-4377

* Tue Oct 15 2013 dams <dams> 1.6.1-2.mga4
+ Revision: 501216
- Rebuild for new libxen*

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1.6.1-1.mga4
+ Revision: 494548
- 1.6.1

* Sat Aug 31 2013 fwang <fwang> 1.6.0-3.mga4
+ Revision: 473656
- rebuild for new sasl

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.6.0-2.mga4
+ Revision: 472088
- rebuild for cyrus-sasl

* Mon Aug 19 2013 joequant <joequant> 1.6.0-1.mga4
+ Revision: 467681
- upgrade to 1.6.0

* Tue Jul 23 2013 luigiwalser <luigiwalser> 1.5.0-4.mga4
+ Revision: 457471
- add patches from redhat to fix CVE-2013-2231

* Mon Jun 03 2013 fwang <fwang> 1.5.0-3.mga4
+ Revision: 436076
- rebuild for new libpng

* Sat Jun 01 2013 sander85 <sander85> 1.5.0-2.mga4
+ Revision: 434028
- Rebuild for new brltty

* Tue May 28 2013 tv <tv> 1.5.0-1.mga4
+ Revision: 429348
- new release
- drop merged patches
- drop obsolete obsoletes tag
- do not use embedded libcacard

* Thu Apr 25 2013 luigiwalser <luigiwalser> 1.2.0-8.mga3
+ Revision: 411183
- add patch from fedora to fix CVE-2013-1922

* Wed Mar 06 2013 alien <alien> 1.2.0-7.mga3
+ Revision: 401563
- Build native qemu-xen

* Wed Jan 16 2013 luigiwalser <luigiwalser> 1.2.0-6.mga3
+ Revision: 388815
- add patches from upstream via debian to fix CVE-2012-6075

* Wed Jan 09 2013 pterjan <pterjan> 1.2.0-5.mga3
+ Revision: 343878
- Rebuild for new libxen*

* Tue Dec 25 2012 cjw <cjw> 1.2.0-4.mga3
+ Revision: 334857
- patch1: fix crashes with vmvga graphics + spice
- add BuildRequires: pkgconfig(libpng) xen-devel libaio-devel cap-ng-devel cap-devel attr-devel

* Fri Sep 07 2012 guillomovitch <guillomovitch> 1.2.0-3.mga3
+ Revision: 289178
- drop smartcard support (conflict with libcaca-tools)

* Thu Sep 06 2012 guillomovitch <guillomovitch> 1.2.0-2.mga3
+ Revision: 288853
- add smartcard NSS support
- add systemd support
- drop sysinit support

* Wed Sep 05 2012 tv <tv> 1.2.0-1.mga3
+ Revision: 288693
- further adjust file list
- adjust file list
- new release
- drop merged patches

  + luigiwalser <luigiwalser>
    - add patch from RedHat to fix CVE-2012-3515

* Tue Jul 10 2012 luigiwalser <luigiwalser> 1.0-7.mga3
+ Revision: 269332
- re-diff upstream patch to fix CVE-2012-2652

* Sat Apr 14 2012 kamil <kamil> 1.0-6.mga2
+ Revision: 230742
- add P0: upstream-support-for-udp-unicast-network-backend.patch

* Mon Mar 05 2012 misc <misc> 1.0-5.mga2
+ Revision: 219367
- rebuild for new vde

* Fri Mar 02 2012 misc <misc> 1.0-4.mga2
+ Revision: 216760
- enable mixer emulation ( for spice )
- fix the BuildRequires for usb-redir

* Fri Mar 02 2012 misc <misc> 1.0-3.mga2
+ Revision: 216752
- add xfs raw direct access support
- also add support for uuid generation
- add support for usb redirection

* Fri Mar 02 2012 misc <misc> 1.0-2.mga2
+ Revision: 216745
- add support for curl download
- add support for bluetooth stack
- as explained in the qemu changelog, the qemu binary is no more, and will
  be replaced in the future by a specific tool, so do not try to put
  specific symlink for that ( see http://wiki.qemu.org/ChangeLog/1.0 )
- fix build with Fedora patch
- revert last change, as asked by coling on irc, to keep patching as minimal as possible
- remove patch0 to add a fedora13 machine type ( not needed anymore )
- Update to 1.0

  + colin <colin>
    - Fix build (upstream patch)
    - Fix pidfile to match LSB header in sysvinit script

* Wed Jan 11 2012 ovitters <ovitters> 0.15.1-2.mga2
+ Revision: 194839
- enable spice support (needed for gnome-boxes)

  + dmorgan <dmorgan>
    - New version 0.15.1

* Wed Sep 28 2011 boklm <boklm> 0.15.0-2.mga2
+ Revision: 149704
- fix dependency on texi2html

  + tv <tv>
    - fix file list
    - new release
    - drop patch 1 (merged)

  + fwang <fwang>
    - fix build with latest pulseaudio
    - add default-stop
    - rebuild for new gnutls

* Sat Jun 18 2011 cjw <cjw> 0.14.1-1.mga2
+ Revision: 109334
- 0.14.1
- drop patch1 and patch3, included upstream

* Tue May 03 2011 misc <misc> 0.14.0-5.mga1
+ Revision: 94340
- add fix for CVE-2011-1750, patch from debian and upstream

* Sat Apr 16 2011 blino <blino> 0.14.0-4.mga1
+ Revision: 86505
- sync ksm initscripts with Fedora (to silence an error about missing max_kernel_pages with current kernels)

* Tue Apr 05 2011 misc <misc> 0.14.0-3.mga1
+ Revision: 80843
- rebuild
- remove old comments and all trace of kvmtrace
- add comments about obsoletes and trigger to remove
- remove old commented part of the spec about kvmtrace ( tool deprecated upstream )
- remove hack around mtune, since this is the default flag it is supported by gcc or not specified,
  and as the remplacement is using pentiumpro, this is already highly x86 specific )
- qemu do not seems to use private symbol of glibc, so remove the hack to filter them

* Tue Apr 05 2011 misc <misc> 0.14.0-2.mga1
+ Revision: 80767
- reenable vde, Fedora not using it is not a reason for us to not use it
- use single digit for patch, more readable
- add comments on the 2 patchs
- remove old patch not referenced in spec

* Mon Mar 07 2011 saispo <saispo> 0.14.0-1.mga1
+ Revision: 65897
- Remove video.x file
- Fix apply patch00 and patch01
- Add two patches come from Fedora
- Disable vde-devel BuildRequires, don't need it
- New release 0.14.0

  + misc <misc>
    - fix License
    - enable vde support ( since we do not have main/contribs )
    - clean overzealous requires
    - remove old conflicts against 2007.1 packages
    - imported package qemu

